

// 商城接口

const api = {
	// 商品-获取各项提示费用
	getOrderPrice : {
		url : '/order/getPrice', 
		method : 'GET', 
		limit : 500,
	},
	
	// 商城-立即兑换商品
	createPointsOrder : {
		url: '/order/createPointsOrder',
		method: 'POST',
		auth : true,
		showLoading : true,
		limit : 1000,
	},
	
	// 商城-立即兑换商品，微信支付购买商品
	createOrder : {
		url: '/order/createOrder',
		method: 'POST',
		auth : true,
		showLoading : true,
		limit : 1000,
	},
	// 商城-立即兑换商品，微信支付购买商品
	createSumOrder : {
		url: '/order/createSumOrder',
		method: 'POST',
		auth : true,
		showLoading : true,
		limit : 1000,
	},
	
	// 商城-订单列表
	getOrderList : {
		url: '/order/getOrderList',
		method: 'GET',
		auth : true,
	},
	
	// 商城-订单详情
	getOrderDetail : {
		url: '/order/getOrderDetail',
		method: 'GET',
		auth : true,
	},
	// 开通会员
	openMember : {
		url: '/order/openMember',
		method: 'POST',
		auth : true,
		showLoading : true,
	},
	// 查询当前开通会员以及过期时间
	getMemberInfo : {
		url: '/order/getMemberInfo',
		method: 'GET',
		auth : true,
	},
	// 商城-增加或者修改商品信息
	orderSaveOrUpdate : {
		url: '/order/saveOrUpdate',
		method: 'POST',
		auth : true,
		header : {
			'Content-Type' : 'application/json'
		},
	},
	// 商城-商品下架
	orderUpdate : {
		url: '/order/update',
		method: 'POST',
		auth : true,
	},
}

export default api